#========================================================================================
# package      DE_EPAGES::DocdataPay::t::LineItemPaymentDocdataPay_setToPaid
# state        public
#----------------------------------------------------------------------------------------
# description  Test to poof the set to pay method
#========================================================================================
package LineItemPaymentDocdataPay_setToPaid;
use strict;

use DE_EPAGES::Core::API::Script qw ( RunScript );
use Test::More;

use DE_EPAGES::DocdataPay::API::Object::LineItemPaymentDocdataPay;

sub Main {
    test_setToPaid();
    done_testing();
}
## no critic (ProhibitPrivateSubroutineUse)
sub test_setToPaid {
    my $subTestName               = ( caller(0) )[3];
    my $LineItemPaymentDocdataPay = DE_EPAGES::DocdataPay::API::Object::LineItemPaymentDocdataPay->new();
    my $hResponseInfo             = { 'TestValue' => 'Test123' };
    my $hResult                   = $LineItemPaymentDocdataPay->_setToPaid($hResponseInfo);
    is_deeply( $hResponseInfo, $hResult, "$subTestName - behaivior if imput is empty - expect no changes" );

    $hResponseInfo = _getPositivResponse();
    $hResult       = $LineItemPaymentDocdataPay->_setToPaid($hResponseInfo);
    is( $hResult->{'authorizationStatus'}, 'PAID', "$subTestName - Quick route - authorizationStatus is set to PAID" );

    $hResponseInfo = _getNegativResponse();
    $hResult       = $LineItemPaymentDocdataPay->_setToPaid($hResponseInfo);
    ok( $hResult->{'authorizationStatus'} ne 'PAID', "$subTestName - Quick route - authorizationStatus is not set to PAID" );

}

sub _getPositivResponse {
    my $hResponseInfo = {
        'totalCharged'          => 1234,
        'totalCaptured'         => 1234,
    };
    return $hResponseInfo;
}

sub _getNegativResponse {
    my $hResponseInfo = {
        'totalCharged'          => 1234,
        'totalCaptured'         => 666,
    };
    return $hResponseInfo;
}
## use critic (ProhibitPrivateSubroutineUse)

RunScript( Sub => \&Main );
